Bug 67137 - Remove -webkit-mask-attachment
: Remove -webkit-mask-attachment
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 95389
  Show dependency treegraph
 
Reported: 2011-08-29 10:25 PST by
Modified: 2012-11-28 18:04 PST (History)


Attachments
Patch (12.57 KB, patch)
2012-11-23 17:14 PST, Dirk Schulze
no flags Review Patch | Details | Formatted Diff | Diff
Patch (15.96 KB, patch)
2012-11-23 19:24 PST, Dirk Schulze
no flags Review Patch | Details | Formatted Diff | Diff
Patch (17.72 KB, patch)
2012-11-23 20:23 PST, Dirk Schulze
hyatt: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-29 10:25:30 PST
-webkit-mask-attachment is not implemented. We should remove it.
------- Comment #1 From 2011-08-29 10:49:32 PST -------
Hmm, we might have to keep it so that the -webkit-mask shorthand parses just like background.
------- Comment #2 From 2012-01-17 05:52:02 PST -------
It seems that -webkit-mask-attachment is implemented. I find various occurrence of it in CSSParser, CSSMutableStyleDeclaration and CSSComputedStyleDeclaration. What is exactly not implemented?
------- Comment #3 From 2012-01-17 09:10:20 PST -------
The painting side is not implemented.
------- Comment #4 From 2012-11-21 22:05:51 PST -------
(In reply to comment #1)
> Hmm, we might have to keep it so that the -webkit-mask shorthand parses just like background.

This is actually not the biggest problem. The -webkit-mask property differs from background property already. CSS Masking removed it from the specification definition as well.

I would like to go ahead and remove it. Are there concerns that content could be broken when we change the syntax?

Note, computed style for -webkit-mask is not implemented either.
------- Comment #5 From 2012-11-23 17:14:56 PST -------
Created an attachment (id=175841) [details]
Patch
------- Comment #6 From 2012-11-23 19:24:56 PST -------
Created an attachment (id=175845) [details]
Patch
------- Comment #7 From 2012-11-23 20:23:48 PST -------
Created an attachment (id=175848) [details]
Patch
------- Comment #8 From 2012-11-23 20:26:05 PST -------
I verified that all other failing tests are unrelated to this patch. Again, even if this removes the property -webkit-mask-attachment, I doubt that this will have affect on content. This property was never supported in WebCore. The property was just visible in CSSOM without any affect on the rendering.
------- Comment #9 From 2012-11-28 13:45:19 PST -------
(From update of attachment 175848 [details])
r=me
------- Comment #10 From 2012-11-28 18:04:36 PST -------
Committed r136080: <http://trac.webkit.org/changeset/136080>